Bug 924340 (CVE-2013-1883) - CVE-2013-1883 mantis: Site / db server DoS via certain View Issues page search query
Summary: CVE-2013-1883 mantis: Site / db server DoS via certain View Issues page searc...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2013-1883
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 924341 924342
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-21 15:11 UTC by Jan Lieskovsky
Modified: 2019-09-29 13:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 11:00:22 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-03-21 15:11:14 UTC
A denial of service flaw was found in the way MantisBT, a free popular web-based issue tracking system, performed processing of certain type of View Issues page search queries. A remote attacker could provide a specially-crafted query (filter combining some criteria and a text search with 'any condition') that, when processed by the MantisBT system, would lead to excessive system resources consumption (denial of service), possibly leading to complete MantisBT server instance unavailability.

References:
[1] http://www.openwall.com/lists/oss-security/2013/03/21/3

Upstream bug report:
[2] http://www.mantisbt.org/bugs/view.php?id=15573

Relevant upstream patch:
[3] https://github.com/mantisbt/mantisbt/commit/d16988c3ca232a7

Comment 1 Jan Lieskovsky 2013-03-21 15:13:05 UTC
This issue affects the versions of the mantis package, as shipped with Fedora release of 17, 18, and Fedora EPEL-5. Please schedule an update.

Comment 2 Jan Lieskovsky 2013-03-21 15:14:09 UTC
Created mantis tracking bugs for this issue

Affects: fedora-all [bug 924341]
Affects: epel-5 [bug 924342]

Comment 3 Jan Lieskovsky 2013-03-22 09:49:00 UTC
The CVE identifier of CVE-2013-1883 has been assigned:

  http://www.openwall.com/lists/oss-security/2013/03/22/2

to this issue.

Comment 4 Fedora Update System 2013-04-01 03:26:03 UTC
mantis-1.2.14-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-04-01 03:32:18 UTC
mantis-1.2.14-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-10 11:00:22 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.